<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cms.mapper.rc.JobFairSignUpMapper">

    <resultMap type="com.ruoyi.cms.domain.rc.JobFairSignUp" id="JobFairSignUpResult">
        <id property="id" column="id"/>
        <result property="jobFairId" column="job_fair_id"/>
        <result property="userId" column="user_id"/>
        <result property="signUpTime" column="sign_up_time"/>
        <result property="status" column="status"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <select id="checkSignUp" resultMap="JobFairSignUpResult">
        select id, job_fair_id, user_id, sign_up_time, status
        from rc_job_fair_sign_up
        where job_fair_id = #{jobFairId} and user_id = #{userId} and del_flag = '0'
        order by sign_up_time desc limit 1
    </select>

</mapper>
